Sonoma (MAXREFDES14#) Code Documentation V01.00 Isolated EMP (Energy Measurement Processor)

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Macros Pages
Functions
maximDeviceSpecificUtilities.h File Reference

Go to the source code of this file.

## Functions
u32 | read_reg (u8 uchRegAddr)
| Reads the value of a register and display the data via the HyperTerminal.
void | write_reg (u8 uchRegAddr, u32 unRegValue)
| Write a value to a register.

## Detailed Description

          Project: Sonoma (MAXREFDES14#)
         Filename: maximDeviceSpecificUtilities.h
      Description: This module uses the Xilinx XSpi core Ver 3.03a peripheral to make
                   custom functions for the Sonoma MAXREFDES14#.  These
                   low level functions could be cut/pasted into the user's
                   application as a starting point for development of an end
                   application.

Revision History:
05-31-13 Rev 01.00 GL Initial Release

This code follows the following naming conventions:

char chPmodValue
char (array) sPmodString[16]
float fPmodValue
int nPmodValue
int (array) anPmodValue[16]
u16 uPmodValue
u16 (array) auPmodValue[16]
u8 uchPmodValue
u8 (array) auchPmodBuffer[16]
unsigned int unPmodValue
int * punPmodValue

Definition in file maximDeviceSpecificUtilities.h.

## Function Documentation

u32 read_reg | ( | u8 | uchRegAddr | ) |

Reads the value of a register and display the data via the HyperTerminal.

Details
  Reads the value of a register and display the data via the HyperTerminal

Parameters

  [in] | uchRegAddr | - Register Address

Return values

  Register | Value

Definition at line 69 of file maximDeviceSpecificUtilities.c.

void write_reg | ( | u8 | uchRegAddr,
|  | u32 | unRegValue
| ) |  |

Write a value to a register.

Details
  Write a value to a register

Parameters

  [in] | uchRegAddr | - Register Address
  [in] | uchRegAddr | - Register Value

Return values

  None |

Definition at line 141 of file maximDeviceSpecificUtilities.c.